Bug 1547638

Summary: New version is available
Product: [Fedora] Fedora Reporter: Martin Sehnoutka <msehnout>
Component: python-gnupgAssignee: Orphan Owner <extras-orphan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: cz172638, extras-orphan, fedora, me, pwouters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-gnupg-0.4.3-1.fc27 python-gnupg-0.4.3-1.fc28 python-gnupg-0.4.3-1.el7 python-gnupg-0.4.3-1.el6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-07 15:22:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Martin Sehnoutka 2018-02-21 16:28:50 UTC
Description of problem:
python-gnupg package is not using the newest upstream version, causing error on already fixed bugs.

Version-Release number of selected component (if applicable):
I am using python3-gnupg-0.3.8-7.fc27.noarch, but the problem is the same for all supported Fedora versions.

How reproducible:
Always.

Steps to Reproduce:
1. Install python3-gnupg
2. Try something, that is fixed in upstream since version 0.3.8. e.g. key export

Actual results:
fail

Expected results:
no fail

Additional info:
Upstream git: https://bitbucket.org/vinay.sajip/python-gnupg

Comment 1 Martin Sehnoutka 2018-03-06 12:38:15 UTC
Rebased package:
https://copr.fedorainfracloud.org/coprs/msehnout/python-gnupg/

Comment 2 Jiri Kastner 2018-06-28 20:06:17 UTC
according https://pypi.org/project/python-gnupg/ newer version is 0.4.3

Comment 3 Jan Kurik 2018-08-14 10:15:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Fedora Update System 2018-08-28 03:15:24 UTC
python-gnupg-0.4.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4353c4356

Comment 5 Fedora Update System 2018-08-28 03:15:59 UTC
python-gnupg-0.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7ea34b38b8

Comment 6 Fedora Update System 2018-08-28 03:20:19 UTC
python-gnupg-0.4.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b1ad33f28

Comment 7 Fedora Update System 2018-08-28 03:35:37 UTC
python-gnupg-0.4.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c784855612

Comment 8 Fedora Update System 2018-08-30 04:22:51 UTC
python-gnupg-0.4.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b1ad33f28

Comment 9 Fedora Update System 2018-08-30 04:42:17 UTC
python-gnupg-0.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7ea34b38b8

Comment 10 Fedora Update System 2018-08-30 04:56:56 UTC
python-gnupg-0.4.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c784855612

Comment 11 Fedora Update System 2018-08-30 05:54:29 UTC
python-gnupg-0.4.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4353c4356

Comment 12 Fedora Update System 2018-09-07 15:22:46 UTC
python-gnupg-0.4.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-09-07 16:14:56 UTC
python-gnupg-0.4.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-09-14 21:13:24 UTC
python-gnupg-0.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-09-14 23:51:51 UTC
python-gnupg-0.4.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.